Subject: Re: bug#10838: 24.0.92; package.el shows a misleading version number

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Feb 2012 04:46:48 -0500

> The problem is there are many versions claiming to be 0.9. The original
> one on tromey.com (which did not support multiple sources) probably has
> the best claim of being "the real 0.9". I think Chong's suggestion of
> releasing 24 with package.el 1.0 makes sense, and if we decide to
> backport a few changes for official 23-compatibility it could be 0.9.1
> or something.

>From what I understand, our package.el is the authoritative package.el,
so it can just use Emacs's own version number: no need to name it
"version 1.0".
As for the one that works with Emacs-23: it's just a stop-gap, so it
really doesn't matter what it's called and whether or not it's based on
our code: as long as it exists and works well enough, we're set.

        Stefan